Subject: bug#46990: 28.0.50; popup menu not navigable via arrow keys on lucid build

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 20 Jun 2022 10:27:40 +0200

Colin Baxter <[email-masked]> writes:

> Investigating further, I find that if I launch a lucid "emacs-28" via
>
> src/temacs -Q
>
> and evaluate (menu-bar-mode -1) then the popup menu, formed from <f10>,
> does indeed allow navigation from the arrow keys (as well as the
> mouse). Only launching "emacs-28" from the following
>
> 1. src/emacs -Q
> 2. src/bootstrap-emacs -Q
> 3. src/emacs-28.0.50.1 -Q
>
> fails to allow the popup menu-bar to be navigable from the arrow keys.

This problem is still present on the current trunk.

There's also other oddities between src/emacs and src/temacs.  With
src/temacs, the menu bar looks fine:

with src/emacs it looks like this:

So the background colour for the face used on the menu bar went missing.
So could we be missing something in ... loadup.el or something?

Hm...  no, the `menu' face is the same in both instances.

Anybody know where I should be poking to debug these possibly unrelated
issues?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no